# Class WindowContentComponent

#### Implements

- AfterViewInit
- OnInit

- Defined in packages/angular/window-system/src/lib/window-content/window-content.component.ts:50

#####
Index

### Constructors

constructor

### Properties

context
portal
portalOutlet

### Methods

ngAfterViewInit
ngOnInit

##
Constructors

### constructor

- new WindowContentComponent(
  context: any,
  windowRef: WindowRef,
  injector: Injector,
  viewContainerRef: ViewContainerRef,
  loadingIndicatorService: LoadingIndicatorService,
  ): WindowContentComponent

  #### Parameters

  - context: any
  - windowRef: WindowRef
  - injector: Injector
  - viewContainerRef: ViewContainerRef
  - loadingIndicatorService: LoadingIndicatorService

  #### Returns WindowContentComponent

  - Defined in packages/angular/window-system/src/lib/window-content/window-content.component.ts:59

##
Properties

### context

context: WindowContainerContext<any>

- Defined in packages/angular/window-system/src/lib/window-content/window-content.component.ts:52

### portal

portal: null | Portal<any> = null

- Defined in packages/angular/window-system/src/lib/window-content/window-content.component.ts:54

### portalOutlet

portalOutlet: CdkPortalOutlet

- Defined in packages/angular/window-system/src/lib/window-content/window-content.component.ts:57

##
Methods

### ngAfterViewInit

- ngAfterViewInit(): void

  A callback method that is invoked immediately after Angular has completed initialization of a component's view. It is invoked only once when the view is instantiated.

  #### Returns void

  Implementation of AfterViewInit.ngAfterViewInit

  - Defined in packages/angular/window-system/src/lib/window-content/window-content.component.ts:79

### ngOnInit

- ngOnInit(): void

  A callback method that is invoked immediately after the default change detector has checked the directive's data-bound properties for the first time, and before any of the view or content children have been checked. It is invoked only once when the directive is instantiated.

  #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/window-system/src/lib/window-content/window-content.component.ts:71